import { AAType, FractionDigitsType, ViewDirType } from "../Common/SystemEnum";
import { RenderType } from "../GraphicsSystem/RenderType";
import { IConfigOption } from "../UI/Components/Board/UserConfig";
import { IBaseOption, IGrooveOption } from "../UI/Store/BoardInterface";
import { IConfigStore } from "../UI/Store/BoardStore";
import { DrillingOption } from "../UI/Store/drillInterface";
import { IWineRackOption } from "../UI/Store/WineRackInterface";
export interface IMaxSizeProps extends IBaseOption {
    height: number;
    width: number;
    isShow: boolean;
}
export interface ISystemConfig extends IBaseOption {
    aaType: AAType;
    maxHightightCount: number;
    snapSize: number;
    background: string;
    layoutBackground: string;
}
export interface ICursorConfig extends IBaseOption {
    D2: number;
    D3: number;
    SquareSize: number;
}
export declare class UserConfig implements IConfigStore {
    private readonly _version;
    _renderType: RenderType;
    maxSize: IMaxSizeProps;
    _drillConfigs: Map<string, DrillingOption[]>;
    openDrillingReactor: boolean;
    openReDrilling: boolean;
    openAutoCuttingReactor: boolean;
    /**打开将检测排钻是否在板件内*/
    winerackConfig: IWineRackOption;
    userConfigName: {
        [key: string]: string;
    };
    _modeling2HoleRad: number;
    isAdmin: boolean;
    isMaster: boolean;
    rights: any[];
    kjlConfig: IGrooveOption;
    SystemConfig: ISystemConfig;
    viewDirType: ViewDirType;
    fractionDigitsType: FractionDigitsType;
    useCtrlRotate: boolean;
    cursorSize: ICursorConfig;
    smalliconmode: boolean;
    autoSaveConfig: {
        enable: boolean;
        time: number;
    };
    showLines: boolean;
    keepConfig: boolean;
    autoClearHistory: boolean;
    chaidanOption: {
        changXiuBian: number;
        duanXiuBian: number;
        useDefaultRad: boolean;
        radius: number;
        modeling2HoleRad: number;
        isCheckInterfere: boolean;
        noModeingData: string;
        statTk: boolean;
        statSt: boolean;
    };
    viewSize: {
        minViewHeight: number;
        maxViewHeight: number;
        zoomSpeed: number;
    };
    autoLines: boolean;
    dimTextHeight: number;
    performanceConfig: {
        fakersweep: boolean;
        disablerefcut: boolean;
    };
    lineWidth: number;
    forceFilterPxl: boolean;
    checkSealing: boolean;
    sealingColorMap: [string, string][];
    textStyleOption: {
        appointTextHight: boolean;
        noNeedAngle: boolean;
        textHight: number;
    };
    constructor();
    Init(): void;
    set RenderType(t: RenderType);
    get RenderType(): RenderType;
    SetRenderTypeEvent(): void;
    get DrillConfigs(): Map<string, DrillingOption[]>;
    set DrillConfigs(config: Map<string, DrillingOption[]>);
    SetDrillConfigsEvent(): void;
    configName: string;
    configsNames: string[];
    InitOption(): void;
    SaveConfig(): {
        option: {
            version: number;
            openDrillingReactor: boolean;
            openReDrilling: boolean;
            openAutoCuttingReactor: boolean;
            maxSize: IMaxSizeProps;
            kjlConfig: IGrooveOption;
            systemConfig: ISystemConfig;
            viewDirType: ViewDirType;
            useCtrlRotate: boolean;
            cursorSize: ICursorConfig;
            autoSaveConfig: {
                enable: boolean;
                time: number;
            };
            showLines: boolean;
            keepConfig: boolean;
            autoClearHistory: boolean;
            chaidanOption: {
                changXiuBian: number;
                duanXiuBian: number;
                useDefaultRad: boolean;
                radius: number;
                modeling2HoleRad: number;
                isCheckInterfere: boolean;
                noModeingData: string;
                statTk: boolean;
                statSt: boolean;
            };
            autoLines: boolean;
            dimTextHeight: number;
            lineWidth: number;
            forceFilterPxl: boolean;
            checkSealing: boolean;
            sealingColorMap: [string, string][];
            fractionDigitsType: FractionDigitsType;
            textStyleOption: {
                appointTextHight: boolean;
                noNeedAngle: boolean;
                textHight: number;
            };
            viewSize: {
                minViewHeight: number;
                maxViewHeight: number;
                zoomSpeed: number;
            };
            smalliconmode: boolean;
        };
    };
    UpdateOption(config: IConfigOption): void;
}
export declare const userConfig: UserConfig;
//# sourceMappingURL=UserConfig.d.ts.map